.paginations {
  margin: 100px 0 40px; }
  @media (max-width: 1559px) {
    .paginations {
      margin: 56px 0 20px; } }
  .paginations__list {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0;
    padding: 0;
    list-style: none; }
  .paginations__item {
    min-width: 48px;
    height: 48px;
    display: flex;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    margin-right: 14px;
    padding: 0;
    user-select: none;
    transition: background-color .3s ease; }
    @media (min-width: 1100px) {
      .paginations__item {
        cursor: pointer; }
        .paginations__item:hover {
          background-color: #C9CBD4; } }
    @media (max-width: 1099px) {
      .paginations__item {
        min-width: 40px;
        height: 40px;
        margin: 4px 4px; } }
    @media (max-width: 419px) {
      .paginations__item:nth-child(n+5):nth-last-child(n+4) {
        display: none; } }
    .paginations__item:before {
      content: none; }
    .paginations__item.active {
      pointer-events: none;
      background-color: #FF6B00; }
      .paginations__item.active .paginations__link {
        cursor: default;
        color: #fff; }
    .paginations__item--first, .paginations__item--last {
      width: 32px;
      overflow: visible;
      flex-shrink: 0;
      transition: all ease .3s;
      border: 1px solid #FF6B00;
      background-color: #fff; }
      .paginations__item--first .icon, .paginations__item--last .icon {
        fill: #FF6B00; }
      .paginations__item--first .paginations__link, .paginations__item--last .paginations__link {
        position: relative;
        height: 32px;
        padding: 0; }
        @media (max-width: 1099px) {
          .paginations__item--first .paginations__link, .paginations__item--last .paginations__link {
            height: 28px; } }
      @media (min-width: 1099px) {
        .paginations__item--first, .paginations__item--last {
          cursor: pointer; }
          .paginations__item--first:hover, .paginations__item--last:hover {
            border-color: #1A1F3D;
            background-color: #1A1F3D; }
            .paginations__item--first:hover .icon, .paginations__item--last:hover .icon {
              fill: #fff; } }
    .paginations__item--first {
      margin-right: 10px; }
      @media (max-width: 1099px) {
        .paginations__item--first {
          margin-right: 0; } }
      @media (max-width: 419px) {
        .paginations__item--first {
          margin: 4px 0; } }
    .paginations__item--last {
      margin-left: 10px; }
      @media (max-width: 1099px) {
        .paginations__item--last {
          margin-left: 0; } }
      @media (max-width: 419px) {
        .paginations__item--last {
          margin: 4px 0; } }
      .paginations__item--last .icon {
        transform: rotate(0deg); }
      .paginations__item--last[disabled] {
        pointer-events: none;
        border: #C9CBD4;
        background-color: #EDEEF2;
        box-shadow: none; }
        .paginations__item--last[disabled] .icon {
          fill: rgba(19, 22, 43, 0.5); }
  .paginations__link {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 2px;
    transition: all .3s ease;
    text-align: center;
    color: #000;
    font-size: 16px;
    line-height: 32px; }
    @media (max-width: 1249px) {
      .paginations__link {
        margin: 0 3px; } }
  .paginations .paginations__item--active.paginations__item--first,
  .paginations .paginations__item--active.paginations__item--last {
    visibility: hidden; }
